import request from '@/utils/request'

// 用户注册接口
export function register(data) {
    return request({
        // url: '/vue-admin-template/user/login',
        // url: '/admin/acl/index/login',
        url: '/user_register',
        method: 'post',
        data
    })
}
// 发送手机验证码
export function sendcode(data) {
    return request({
        // url: '/vue-admin-template/user/login',
        // url: '/admin/acl/index/login',
        url: '/sendCode',
        method: 'post',
        data
    })
}
// 用户登录接口
export function login(data) {
    return request({
        // url: '/vue-admin-template/user/login',
        // url: '/admin/acl/index/login',
        url: '/login',
        method: 'post',
        data
    })
}
// 获取个人信息接口
export function getInfo(data) {
    return request({
        url: '/FindUserById',
        method: 'post',
        data
    })
}
// 用户退出接口
export function logout(token) {
    const data = new URLSearchParams();
    data.append('token', token);
    return request({
        // url: '/admin/acl/index/logout',
        url: '/logout/',
        method: 'post',
        data
    })
}